# Translate iframe

## Pre-required

You need to have the iframe control to **put Weglot snippet on the iframe**.

If you cannot put the snippet in the iframe, please [contact us](https://weglot.com/contact/enterprise/), we surely have another solutions for you.

## Setup

The parent window (main page) got the Weglot snippet to initialize it and there is a switcher on this page.

**1)** You have to put the same snippet in your iframe page, with the `hide_switcher` extra option to `true`, because you don't want another switcher in your iframe:

```markup
<script src="https://cdn.weglot.com/weglot.min.js"></script>
<script>
// In your iframe
Weglot.initialize({
    api_key: "wg_xxxx",
    hide_switcher: true // You already have a switcher in parent window
});
</script>
```

**2)** Add `translate_iframes` option with all CSS selectors in an array to select translated iframe in your page.

```markup
<script src="https://cdn.weglot.com/weglot.min.js"></script>
<script>
// In your parent window
Weglot.initialize({
    api_key: "wg_xxxx",
    translate_iframes: ["#iframe-id", ".my-little-iframe"]
});
</script>

```

Now, the parent window **can communicate** with your iframe, mainly **to switch language** when user select a new one.

## Tips

* You can add iframes selectors option all over your website, if selector is wrong or iframe doesn't exist, it doesn't matter
* Visiting a page with a translated iframe on it will count two visits on your dashboard (parent + iframe)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.weglot.com/javascript/translate-iframe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
